Bug 1801527 - Review Request: golang-gopkg-redis-5 - type-safe Redis client for Golang
Summary: Review Request: golang-gopkg-redis-5 - type-safe Redis client for Golang
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mark Goodwin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-11 05:17 UTC by Nathan Scott
Modified: 2020-06-14 08:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-14 08:03:27 UTC
Type: ---
mgoodwin: fedora-review+


Attachments (Terms of Use)

Description Nathan Scott 2020-02-11 05:17:33 UTC
Spec URL: https://nathans.fedorapeople.org/redis/golang-gopkg-redis-5.spec
SRPM URL: https://nathans.fedorapeople.org/redis/golang-gopkg-redis-5-5.2.9-1.fc31.src.rpm
Description: Type-safe Redis client for Golang.
Fedora Account System Username: nathans

Comment 1 Mark Goodwin 2020-02-11 08:09:01 UTC
Hi Nathan, installing the BuildRequires pulled in redis, but the redis server is disabled by default on a fresh install and so the ExampleNewClient test failed with ECONREFUSED, see below. So now I'm wondering if it'd be feasible to actually run the redis server during a build for tests like this? After enabling and starting the redis server on my rawhide VM, the %check phase of the build worked fine and the resulting package installed ok (and grafana-6.1.1 built with it as a BR correctly).

--- FAIL: ExampleNewClient (0.00s)
got:
dial tcp [::1]:6379: connect: connection refused
want:
PONG <nil>
--- FAIL: ExampleClient (0.00s)
panic: dial tcp :6379: connect: connection refused [recovered]
        panic: dial tcp :6379: connect: connection refused

goroutine 1 [running]:
testing.(*InternalExample).processRunResult(0xc00026fd58, 0x0, 0x0, 0x3b766, 0x565544cf0480, 0xc00042f0e0, 0x0)
        /usr/lib/golang/src/testing/example.go:89 +0x641
testing.runExample.func2(0xbf88b4bdf903fa1c, 0xb5e0bc1cf, 0x5655451a72e0, 0xc0005160a8, 0xc000010018, 0xc0005992c0, 0xc00026fd58, 0xc00026fd88)
        /usr/lib/golang/src/testing/run_example.go:58 +0x107
panic(0x565544cf0480, 0xc00042f0e0)
        /usr/lib/golang/src/runtime/panic.go:967 +0x161
gopkg.in/redis%2ev5_test.ExampleClient()
        /home/mgoodwin/rpmbuild/BUILD/redis-5.2.9/_build/src/gopkg.in/redis.v5/example_test.go:71 +0x3ea
testing.runExample(0x565544b9c21c, 0xd, 0x565544d59018, 0x565544ba744d, 0x1f, 0x0, 0x0)
        /usr/lib/golang/src/testing/run_example.go:62 +0x202
testing.runExamples(0xc00026fee8, 0x5655450c8640, 0xe, 0xe, 0x101)
        /usr/lib/golang/src/testing/example.go:44 +0x1aa
testing.(*M).Run(0xc0000a0080, 0x0)
        /usr/lib/golang/src/testing/testing.go:1163 +0x1ee
main.main()
        _testmain.go:110 +0x137
exit status 2
FAIL    gopkg.in/redis.v5       48.849s
error: Bad exit status from /var/tmp/rpm-tmp.Agiuj0 (%check)

Comment 2 Nathan Scott 2020-02-11 22:03:03 UTC
Thanks Mark, I'll get that sorted.  The -2 package has something like that, but I was lead astray by looking at some failing test cases yesterday (hence the patch) that *were* running their own server. :P

Comment 3 Nathan Scott 2020-02-12 00:45:44 UTC
Source RPM and spec have been updated.

Comment 4 Mark Goodwin 2020-02-13 22:18:05 UTC
Looks good, package approved

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: Package does not own files or directories owned by other packages.
[-]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[-]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: golang-gopkg-redis-5-devel-5.2.9-1.fc31.noarch.rpm
          golang-gopkg-redis-5-5.2.9-1.fc31.src.rpm
golang-gopkg-redis-5-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/gopkg.in/redis.v5/.goipath
golang-gopkg-redis-5.src: W: no-%build-section
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
golang-gopkg-redis-5-devel.noarch: W: invalid-url URL: https://github.com/go-redis/redis <urlopen error [Errno -2] Name or service not known>
golang-gopkg-redis-5-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/gopkg.in/redis.v5/.goipath
1 packages and 0 specfiles checked; 0 errors, 2 warnings.



Source checksums
----------------
https://github.com/go-redis/redis/archive/v5.2.9/redis-5.2.9.tar.gz :
  CHECKSUM(SHA256) this package     : 494f474925e89749124445cdebc5affd741f7532d2a4d6e4e2069b17d74f4fd2
  CHECKSUM(SHA256) upstream package : 494f474925e89749124445cdebc5affd741f7532d2a4d6e4e2069b17d74f4fd2


Requires
--------
golang-gopkg-redis-5-devel (rpmlib, GLIBC filtered):
    go-filesystem



Provides
--------
golang-gopkg-redis-5-devel:
    golang(gopkg.in/redis.v5)
    golang(gopkg.in/redis.v5/internal)
    golang(gopkg.in/redis.v5/internal/consistenthash)
    golang(gopkg.in/redis.v5/internal/hashtag)
    golang(gopkg.in/redis.v5/internal/pool)
    golang(gopkg.in/redis.v5/internal/proto)
    golang-gopkg-redis-5-devel
    golang-ipath(gopkg.in/redis.v5)



Generated by fedora-review 0.7.4 (54fa030) last change: 2019-12-07
Command line :/usr/bin/fedora-review -b 1801527 -m fedora-31-x86_64
Buildroot used: fedora-31-x86_64
Active plugins: Shell-api, Generic
Disabled plugins: Java, SugarActivity, R, Python, Ocaml, Haskell, PHP, C/C++, Perl, fonts
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 5 Igor Raits 2020-02-14 06:21:48 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-gopkg-redis-5

Comment 6 Mattia Verga 2020-06-14 08:03:27 UTC
This package was approved and imported in repositories, but this review ticket was never closed.
I'm closing it now.


Note You need to log in before you can comment on or make changes to this bug.